/////////////////////////////////////////////////////////////////////////////
// Copyright (C) 1999 by Volker Voecking (VolkerVoecking@csi.com)
// All rights reserved
//
// Distribute freely, except: don't remove my name from the source or
// documentation (don't take credit for my work), mark your changes (don't
// get me blamed for your possible bugs), don't alter or remove this
// notice.
// No warrantee of any kind, express or implied, is included with this
// software; use at your own risk, responsibility for damages (if any) to
// anyone resulting from the use of this software rests entirely with the
// user.

#if !defined(AFX_PAGECOUNTER1_H__E9C9EC34_B47A_11D2_B01E_8963992FBC5E__INCLUDED_)
#define AFX_PAGECOUNTER1_H__E9C9EC34_B47A_11D2_B01E_8963992FBC5E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


/////////////////////////////////////////////////////////////////////////////
// ScrollViewPageCounter.h : Header-File
/////////////////////////////////////////////////////////////////////////////

class CScrollViewPageCounter : public CWnd
{
public:
	CScrollViewPageCounter( CWnd* pParent );

protected:
   CString m_szPageNumber;
   LONG    m_lYPos;

   static BOOL s_bFirstCallDuringScrolling;

public:

	//{{AFX_VIRTUAL(CScrollViewPageCounter)
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	protected:
	//}}AFX_VIRTUAL

public:
	virtual ~CScrollViewPageCounter();

   void DisplayPageNumber( UINT uiPageNumber );
   void Reset();

protected:
	//{{AFX_MSG(CScrollViewPageCounter)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnPaint();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}

#endif // AFX_PAGECOUNTER1_H__E9C9EC34_B47A_11D2_B01E_8963992FBC5E__INCLUDED_
