// SVPCSampleView.cpp
//

#include "stdafx.h"
#include "SVPCSample.h"

#include "SVPCSampleDoc.h"
#include "SVPCSampleView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSVPCSampleView

IMPLEMENT_DYNCREATE(CSVPCSampleView, CScrollView)

BEGIN_MESSAGE_MAP(CSVPCSampleView, CScrollView)
	//{{AFX_MSG_MAP(CSVPCSampleView)
	ON_WM_VSCROLL()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////

CSVPCSampleView::CSVPCSampleView()
{
}

CSVPCSampleView::~CSVPCSampleView()
{
}

BOOL CSVPCSampleView::PreCreateWindow(CREATESTRUCT& cs)
{
   // Just to have plenty of room to scroll
   SetScrollSizes( MM_LOMETRIC, CSize(10000, 100000));

   return CScrollView::PreCreateWindow(cs);
}

void CSVPCSampleView::OnInitialUpdate() 
{
	CScrollView::OnInitialUpdate();
	
   // +++ BEGIN: ADDITIONAL CODE
   // Instantiate the counter object
   m_pScrollViewPageCounter = new CScrollViewPageCounter( this );
   // +++ END: ADDITIONAL CODE
}

// +++ BEGIN: ADDITIONAL CODE
void CSVPCSampleView::OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar) 
{
   if ( nSBCode == SB_THUMBTRACK )
   {
      // calculate page number (insert your algorithm here)
      UINT uiPageNumber = (UINT) (nPos / 10) + 1;

      // display page number 
      m_pScrollViewPageCounter->DisplayPageNumber( uiPageNumber );
   }

   // when scrolling is finished we have to hide the page counter
   if ( nSBCode == SB_ENDSCROLL )
      m_pScrollViewPageCounter->Reset();
	
	CScrollView::OnVScroll(nSBCode, nPos, pScrollBar);
}
// +++ END: ADDITIONAL CODE


/////////////////////////////////////////////////////////////////////////////

void CSVPCSampleView::OnDraw(CDC* /*pDC*/)
{
	CSVPCSampleDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
}

/////////////////////////////////////////////////////////////////////////////

#ifdef _DEBUG
void CSVPCSampleView::AssertValid() const
{
	CScrollView::AssertValid();
}

void CSVPCSampleView::Dump(CDumpContext& dc) const
{
	CScrollView::Dump(dc);
}

CSVPCSampleDoc* CSVPCSampleView::GetDocument() // Die endgltige (nicht zur Fehlersuche kompilierte) Version ist Inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CSVPCSampleDoc)));
	return (CSVPCSampleDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
